<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.dialog.milestone.bind.multiple'"
  [dialogId]="'bind-milestone-to-project'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    @if (componentData$ | async; as componentData) {
      <nz-tabset>
        <nz-tab
          nzTitle="{{ 'sqtm-core.dialog.milestone.type.global' | translate }}"
        >
          <div class="milestone-picker">
            <sqtm-core-multiple-milestone-picker
              [milestones]="componentData.globalMilestones"
              [gridId]="'global-milestone-picker-grid'"
              (selectedMilestone)="addSelectedMilestone($event)"
            >
            </sqtm-core-multiple-milestone-picker>
          </div>
        </nz-tab>
        <nz-tab
          nzTitle="{{ 'sqtm-core.dialog.milestone.type.personal' | translate }}"
        >
          <div class="milestone-picker">
            <sqtm-core-multiple-milestone-picker
              [milestones]="componentData.personalMilestones"
              [gridId]="'personal-milestone-picker-grid'"
              (selectedMilestone)="addSelectedMilestone($event)"
            >
            </sqtm-core-multiple-milestone-picker>
          </div>
        </nz-tab>
        <nz-tab
          nzTitle="{{ 'sqtm-core.dialog.milestone.type.other' | translate }}"
        >
          <div class="milestone-picker">
            <sqtm-core-multiple-milestone-picker
              [milestones]="componentData.otherMilestones"
              [gridId]="'other-milestone-picker-grid'"
              (selectedMilestone)="addSelectedMilestone($event)"
            >
            </sqtm-core-multiple-milestone-picker>
          </div>
        </nz-tab>
      </nz-tabset>
    }
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
